Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027835
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-10-10 13:332014-12-30 23:22
Reportereduardo_ArgalView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona94c1d59710b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027835: Landed cost Costs can be added and deleted once landed cost has been processed

DescriptionAfter completing a landed cost user can both add and delete records in cost tab if those are not yet processed
Steps To ReproduceCreate a landed cost
Create a record in cost tab without selecting invoice line (amount 100 ex.)
Create a record in Receipt tab
Process Landed cost
move back to cost tab
Create a new record and save (process should fail but succeeds)
select this record and click on delete (process should fail but succeeds)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070872)
hgbot (developer)
2014-10-10 13:36

Repository: erp/devel/pi
Changeset: a94c1d59710b55fb262eb0f763b3e868798eb0a1
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Fri Oct 10 13:35:42 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a94c1d59710b55fb262eb0f763b3e868798eb0a1 [^]

Fixes bug 27835: Landed cost Costs can be added and deleted once landed cost has been processed

Revisits trigger M_LC_COST_CHK_TRG.xml to attend as well header info. Fixes typo in M_LC_RECEIPTLINE_AMT_CHK_TRG.xml

---
M src-db/database/model/triggers/M_LC_COST_CHK_TRG.xml
M src-db/database/model/triggers/M_LC_RECEIPTLINE_AMT_CHK_TRG.xml
---
(0070894)
psanjuan (manager)
2014-10-13 09:50

Verified. It is not possible now to either delete or add a new record in Cost tab once landed cost is processed.

I would suggest to remove add and delete icons from the toolbar.
(0070915)
umartirena (developer)
2014-10-13 18:32

Code Review Done.
(0072931)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-10 13:33 eduardo_Argal New Issue
2014-10-10 13:33 eduardo_Argal Assigned To => eduardo_Argal
2014-10-10 13:33 eduardo_Argal Modules => Core
2014-10-10 13:33 eduardo_Argal Triggers an Emergency Pack => No
2014-10-10 13:36 hgbot Checkin
2014-10-10 13:36 hgbot Note Added: 0070872
2014-10-10 13:36 hgbot Status new => resolved
2014-10-10 13:36 hgbot Resolution open => fixed
2014-10-10 13:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a94c1d59710b55fb262eb0f763b3e868798eb0a1 [^]
2014-10-13 09:50 psanjuan Note Added: 0070894
2014-10-13 09:50 psanjuan Status resolved => closed
2014-10-13 18:32 umartirena Note Added: 0070915
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072931


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker